Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707220 - x11-wm/i3-4.17.1-r1 : fails to build with -fno-common or gcc-10
Summary: x11-wm/i3-4.17.1-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Nelo-T. Wallus (ntnn)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-29 18:05 UTC by Toralf Förster
Modified: 2020-04-24 08:01 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.81 KB, text/plain)
2020-01-29 18:05 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,61.03 KB, text/plain)
2020-01-29 18:05 UTC, Toralf Förster
Details
environment (environment,68.71 KB, text/plain)
2020-01-29 18:05 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.05 KB, application/x-bzip)
2020-01-29 18:05 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,11.55 KB, application/x-bzip)
2020-01-29 18:05 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,30.25 KB, application/x-bzip)
2020-01-29 18:05 UTC, Toralf Förster
Details
x11-wm:i3-4.17.1-r1:20200129-084639.log (x11-wm:i3-4.17.1-r1:20200129-084639.log,528.21 KB, text/plain)
2020-01-29 18:05 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-29 18:05:34 UTC
rm -f libi3.a
x86_64-pc-linux-gnu-ar cru libi3.a libi3/a-dpi.o libi3/a-draw_util.o libi3/a-fake_configure_notify.o libi3/a-font.o libi3/a-format_placeholders.o libi3/a-g_utf8_make_valid.o libi3/a-get_colorpixel.o libi3/a-get_config_path.o libi3/a-get_exe_path.o libi3/a-get_mod_mask.o libi3/a-get_process_filename.o libi3/a-get_visualtype.o libi3/a-ipc_connect.o libi3/a-ipc_recv_message.o libi3/a-ipc_send_message.o libi3/a-is_debug_build.o libi3/a-mkdirp.o libi3/a-resolve_tilde.o libi3/a-root_atom_contents.o libi3/a-safewrappers.o libi3/a-string.o libi3/a-strndup.o libi3/a-ucs2_conversion.o 
x86_64-pc-linux-gnu-ranlib libi3.a
x86_64-pc-linux-gnu-gcc -Wunused-value -Wunused-value -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include     -I/usr/include/yajl  -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/uuid -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/pango-1.0 -I/usr/include/fribidi -I/usr/include/harfbuzz  -I/usr/include/startup-notification-1.0        -I/usr/include/yajl   -pthread  -O2 -pipe -march=native -fno-common -Wall  -Wl,-O1 -Wl,--as-needed -o i3   src/i3-assignments.o src/i3-bindings.o src/i3-click.o src/i3-commands.o src/i3-commands_parser.o src/i3-con.o src/i3-config.o src/i3-config_directives.o src/i3-config_parser.o src/i3-display_version.o src/i3-ewmh.o src/i3-fake_outputs.o src/i3-floating.o src/i3-handlers.o src/i3-ipc.o src/i3-key_press.o src/i3-load_layout.o src/i3-log.o src/i3-main.o src/i3-manage.o src/i3-match.o src/i3-move.o src/i3-output.o src/i3-randr.o src/i3-regex.o src/i3-render.o src/i3-resize.o src/i3-restore_layout.o src/i3-scratchpad.o src/i3-sd-daemon.o src/i3-sighandler.o src/i3-startup.o src/i3-sync.o src/i3-tree.o src/i3-util.o src/i3-version.o src/i3-window.o src/i3-workspace.o src/i3-x.o src/i3-xcb.o src/i3-xcursor.o src/i3-xinerama.o ./libi3.a -lgobject-2.0 -lglib-2.0  -lxcb -lxcb-xkb -lxcb-xinerama -lxcb-randr -lxcb-shape  -lxcb-util -lxcb  -lxcb-xrm -lxcb  -lyajl  -lpangocairo-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lcairo  -lstartup-notification-1  -lxcb -lxcb-xkb -lxcb-xinerama -lxcb-randr -lxcb-shape  -lxcb-cursor -lxcb  -lxcb-keysyms -lxcb  -lxcb-icccm -lxcb  -lxcb-xrm -lxcb  -lxkbcommon-x11 -lxkbcommon  -lyajl  -lpcre  -lpangocairo-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lcairo    -lrt -lev -lm 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: src/i3-bindings.o:(.bss+0x0): multiple definition of `A_WM_CHANGE_STATE'; src/i3-assignments.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: src/i3-bindings.o:(.bss+0x4): multiple definition of `A__MOTIF_WM_HINTS'; src/i3-assignments.o:(.bss+0x4): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma_systemd-20200127-214345

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 29 Jan 2020 07:46:51 +0000

emerge -qpvO x11-wm/i3
[ebuild  N    ] x11-wm/i3-4.17.1-r1  USE="-debug -doc -test"
Comment 1 Toralf Förster gentoo-dev 2020-01-29 18:05:37 UTC
Created attachment 607986 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-29 18:05:42 UTC
Created attachment 607988 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-29 18:05:45 UTC
Created attachment 607990 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-29 18:05:48 UTC
Created attachment 607992 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-29 18:05:51 UTC
Created attachment 607994 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-29 18:05:54 UTC
Created attachment 607996 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-29 18:05:56 UTC
Created attachment 607998 [details]
x11-wm:i3-4.17.1-r1:20200129-084639.log
Comment 8 Nelo-T. Wallus (ntnn) 2020-01-30 07:46:53 UTC
Thanks, the issue has already been reported upstream: https://github.com/i3/i3/issues/3914

I'll see if we can implement a workaround until upstream fixes it - though I won't be home until monday, so it'll take a while.
Comment 9 Jeroen Roovers gentoo-dev 2020-04-24 08:01:33 UTC
Fixed in 4.18: RELEASE-NOTES-4.18:

  • build: fix building with -fno-common (for gcc 10)